# IRremoteESP8266: stdAc::state_t Struct Reference

stdAc::state_t Struct Reference

Structure to hold a common A/C state. More...

`#include <IRsend.h>`

## Public Attributes

decode_type_t | protocol
int16_t | model
bool | power
stdAc::opmode_t | mode
float | degrees
bool | celsius
stdAc::fanspeed_t | fanspeed
stdAc::swingv_t | swingv
stdAc::swingh_t | swingh
bool | quiet
bool | turbo
bool | econo
bool | light
bool | filter
bool | clean
bool | beep
int16_t | sleep
int16_t | clock

## Detailed Description

Structure to hold a common A/C state.

## Member Data Documentation

## beep

bool stdAc::state_t::beep

## celsius

bool stdAc::state_t::celsius

## clean

bool stdAc::state_t::clean

## clock

int16_t stdAc::state_t::clock

## degrees

float stdAc::state_t::degrees

## econo

bool stdAc::state_t::econo

## fanspeed

stdAc::fanspeed_t stdAc::state_t::fanspeed

## filter

bool stdAc::state_t::filter

## light

bool stdAc::state_t::light

## mode

stdAc::opmode_t stdAc::state_t::mode

## model

int16_t stdAc::state_t::model

## power

bool stdAc::state_t::power

## protocol

decode_type_t stdAc::state_t::protocol

## quiet

bool stdAc::state_t::quiet

## sleep

int16_t stdAc::state_t::sleep

## swingh

stdAc::swingh_t stdAc::state_t::swingh

## swingv

stdAc::swingv_t stdAc::state_t::swingv

## turbo

bool stdAc::state_t::turbo

The documentation for this struct was generated from the following file:

- src/IRsend.h